//
// Abstract superclass for epidemic model gamma function
//
// @author Michael Liljenstam, ISTS, Dartmouth College
//
// $Id: GammaFunction.java,v 1.1 2003/03/03 03:05:00 mili Exp $

package SSF.App.Worm;

import java.util.*;

/**
 *  Abstract base class for epidemic model gamma function (removals).
 */
public abstract class GammaFunction {

    /** 
     *  Calculate gamma function.
     *  @param t Current simulation time.
     *  @param i Number of local infected.
     *  @param iTot Total number of infected.
     */
    abstract public float gamma(float t, float i, float iTot);
}
